Debian Bug report logs - #265352
grub: Debian splash images for Grub

version graph

Package: grub; Maintainer for grub is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>;

Reported by: Roger Leigh <rleigh@debian.org>

Date: Thu, 12 Aug 2004 20:48:01 UTC

Severity: wishlist

Tags: patch, wontfix

Found in versions 0.95+cvs20040624-7, grub/0.97-22

Done: Roger Leigh <rleigh@whinlatter.ukfsn.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@debian.org>:
New Bug report received and forwarded. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub: Debian splash images for Grub
Date: Thu, 12 Aug 2004 21:37:50 +0100
Package: grub
Version: 0.95+cvs20040624-7
Severity: wishlist
Tags: patch

Hi,

I noticed recently that Debian Grub now had splash image support...
but no splash images!  I wanted a nice Debian splash screen, and so 
I've created some.  Feel free to include them in a future release.

They can be found here:

  http://people.debian.org/~rleigh/grub-images/

I suggest this example configuration:
# Graphical boot
root (hd0,4)
splashimage /boot/grub/debian-boot.xpm.gz
foreground ffffff
background d70751


The best splash screen is debian-boot.xpm.gz.  I've included the Gimp
XCF image which was the source (the XPM has had the layers merged, the
colours reduced to 14 using the custom palette also found here, and the
sarge logo was manually edited to remove nasty artifacts.  I've also
included the XCF source, a modified version of openlogo.eps (I added a
black background and changed the text to white, which was then rendered
to an RGB image with nice anti-aliasing).  The Sarge stripes were taken
from DebianPlanet.

Feel free to adapt the XCF for whatever you like.  Everything is in
layers, so you can move it all around, add new stuff, etc.  I'm no
artist, so feel free to improve upon it!

Regards,
Roger


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=en_GB, LC_CTYPE=en_GB (ignored: LC_ALL set to en_GB)

Versions of packages grub depends on:
ii  libc6                       2.3.2.ds1-16 GNU C Library: Shared libraries an
ii  libncurses5                 5.4-4        Shared libraries for terminal hand

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 265352@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Roger Leigh <rleigh@debian.org>, 265352@bugs.debian.org
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Sat, 14 Aug 2004 18:48:50 +0200
On Thu, Aug 12, 2004 at 09:37:50PM +0100, Roger Leigh wrote:
> Package: grub
> Version: 0.95+cvs20040624-7
> Severity: wishlist
> Tags: patch
> 
> Hi,
> 
> I noticed recently that Debian Grub now had splash image support...
> but no splash images!  I wanted a nice Debian splash screen, and so 
> I've created some.  Feel free to include them in a future release.

Hi Roger,

I appreciate your interest, but we're already working on this area.  Luis
Rodriguez (CCed) is preparing a package that will include GPLed splash images,
which is almost finished.

Assuming your images are free and properly licensed (preferably GPL), could
you coordinate it with him so that your images are integrated in his package?

Thanks.

-- 
Robert Millan

(Debra and Ian) (Gnu's Not (UNiplexed Information and Computing System))/\
(kernel of *(Berkeley Software Distribution))



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 265352@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 265352@bugs.debian.org, "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Mon, 16 Aug 2004 23:36:58 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Robert Millan <rmh@debian.org> writes:

> On Thu, Aug 12, 2004 at 09:37:50PM +0100, Roger Leigh wrote:
>> Package: grub
>> Version: 0.95+cvs20040624-7
>> Severity: wishlist
>> Tags: patch
>> 
>> Hi,
>> 
>> I noticed recently that Debian Grub now had splash image support...
>> but no splash images!  I wanted a nice Debian splash screen, and so 
>> I've created some.  Feel free to include them in a future release.
>
> Hi Roger,
>
> I appreciate your interest, but we're already working on this area.  Luis
> Rodriguez (CCed) is preparing a package that will include GPLed splash images,
> which is almost finished.

Super!

> Assuming your images are free and properly licensed (preferably GPL), could
> you coordinate it with him so that your images are integrated in his package?

Sure.


Luis,

You are free to distribute the images under the GPL.  The XCF image is
produced from the Debian "Open Use" logo, also provided here

http://people.debian.org/~rleigh/grub-images/

and I am happy for all my work to be distributed under the GPL.  The
only part I'm not sure about is the Sarge "stripes", which came from
DebianPlanet.  I'm waiting to hear back from them about that.  Feel
free to modify the images as you like--I know I'm not much of an artist!

BTW, thanks very much for your "GNU GRUB splashimage howto", which was
what inspired me to create some splash images.  It's very well done!


Regards,
Roger

- -- 
Roger Leigh

                Printing on GNU/Linux?  http://gimp-print.sourceforge.net/
                GPG Public Key: 0x25BFB848.  Please sign and encrypt your mail.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8 <http://mailcrypt.sourceforge.net/>

iD8DBQFBITb9VcFcaSW/uEgRAmMcAKDOpIhAeZV9KYE9J6Tog3djI6vCKgCg1+dp
v3yBu0cN+5QvRkX3ybrDLhI=
=pCZR
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez):
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 265352@bugs.debian.org (full text, mbox):

From: mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez)
To: Roger Leigh <rleigh@debian.org>, 265352@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 01:55:21 -0400
Roger,

On Mon, Aug 16, 2004 at 11:36:58PM +0100, Roger Leigh wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Robert Millan <rmh@debian.org> writes:
> 
> > On Thu, Aug 12, 2004 at 09:37:50PM +0100, Roger Leigh wrote:
> >> Package: grub
> >> Version: 0.95+cvs20040624-7
> >> Severity: wishlist
> >> Tags: patch
> >> 
> >> Hi,
> >> 
> >> I noticed recently that Debian Grub now had splash image support...
> >> but no splash images!  I wanted a nice Debian splash screen, and so 
> >> I've created some.  Feel free to include them in a future release.
> >
> > Hi Roger,
> >
> > I appreciate your interest, but we're already working on this area.  Luis
> > Rodriguez (CCed) is preparing a package that will include GPLed splash images,
> > which is almost finished.
> 
> Super!
> 
> > Assuming your images are free and properly licensed (preferably GPL), could
> > you coordinate it with him so that your images are integrated in his package?
> 
> Sure.
> 
> 
> Luis,
> 
> You are free to distribute the images under the GPL.  The XCF image is
> produced from the Debian "Open Use" logo, also provided here
> 
> http://people.debian.org/~rleigh/grub-images/

Awesome splash image!

> and I am happy for all my work to be distributed under the GPL.  The
> only part I'm not sure about is the Sarge "stripes", which came from
> DebianPlanet.  I'm waiting to hear back from them about that.  Feel
> free to modify the images as you like--I know I'm not much of an artist!

Heh, its great, thanks. So far what I've been doing for
grub-splashimages package was to request authors to insert into the xpm
file a GPL C Header since xpm files are ASCII-text and accept C99
comments (I explain this now on the HOWTO you've read). Would it be
technically legal for you to do that for your splash image?

> BTW, thanks very much for your "GNU GRUB splashimage howto", which was
> what inspired me to create some splash images.  It's very well done!

Why thank you Roger :), glad it was useful.

Looking forward to seeing some more splashimages from you,

	Luis

-- 
GnuPG Key fingerprint = 113F B290 C6D2 0251 4D84  A34A 6ADD 4937 E20A 525E



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 265352@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez)
Cc: 265352@bugs.debian.org, Robert Millan <rmh@debian.org>
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 19:03:13 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez) writes:

> Roger,
>
> On Mon, Aug 16, 2004 at 11:36:58PM +0100, Roger Leigh wrote:

>> You are free to distribute the images under the GPL.  The XCF image is
>> produced from the Debian "Open Use" logo, also provided here
>> 
>> http://people.debian.org/~rleigh/grub-images/
>
> Awesome splash image!
>
>> and I am happy for all my work to be distributed under the GPL.  The
>> only part I'm not sure about is the Sarge "stripes", which came from
>> DebianPlanet.  I'm waiting to hear back from them about that.  Feel
>> free to modify the images as you like--I know I'm not much of an artist!
>
> Heh, its great, thanks. So far what I've been doing for
> grub-splashimages package was to request authors to insert into the xpm
> file a GPL C Header since xpm files are ASCII-text and accept C99
> comments (I explain this now on the HOWTO you've read). Would it be
> technically legal for you to do that for your splash image?

The Debian logo and name are from the Open Use logo, copyrighted by
SPI.  The derived work is copyrighted by me, and I'm waiting to hear
back about the Sarge stripes (I can redraw them if needed).  I can
certainly add a header detailing this--but I need to hear back from
DebianPlanet first.


- -- 
Roger Leigh

                Printing on GNU/Linux?  http://gimp-print.sourceforge.net/
                GPG Public Key: 0x25BFB848.  Please sign and encrypt your mail.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8 <http://mailcrypt.sourceforge.net/>

iD8DBQFBIkhSVcFcaSW/uEgRAlpBAJ9uuErAOWNIOO9GqF7mhq3fiNpdYACfdfaZ
WtSir/LwACiYaGmJcRvTEKY=
=00wZ
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 265352@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Roger Leigh <rleigh@whinlatter.ukfsn.org>
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 20:13:10 +0200
On Tue, Aug 17, 2004 at 07:03:13PM +0100, Roger Leigh wrote:
> 
> The Debian logo and name are from the Open Use logo, copyrighted by
> SPI.  The derived work is copyrighted by me, and I'm waiting to hear
> back about the Sarge stripes (I can redraw them if needed).  I can
> certainly add a header detailing this--but I need to hear back from
> DebianPlanet first.

Is the "Open Use" logo DFSG-free?

-- 
Robert Millan

(Debra and Ian) (Gnu's Not (UNiplexed Information and Computing System))/\
(kernel of *(Berkeley Software Distribution))



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 265352@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: Robert Millan <rmh@debian.org>
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 20:27:18 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Robert Millan <rmh@debian.org> writes:

> On Tue, Aug 17, 2004 at 07:03:13PM +0100, Roger Leigh wrote:
>> 
>> The Debian logo and name are from the Open Use logo, copyrighted by
>> SPI.  The derived work is copyrighted by me, and I'm waiting to hear
>> back about the Sarge stripes (I can redraw them if needed).  I can
>> certainly add a header detailing this--but I need to hear back from
>> DebianPlanet first.
>
> Is the "Open Use" logo DFSG-free?

- From http://www.debian.org/logos/ :

Debian Open Use Logo License

Copyright (c) 1999 Software in the Public Interest
This logo or a modified version may be used by anyone to refer to the
Debian project, but does not indicate endorsement by the project.

Note: we would appreciate that you make the image a link to
http://www.debian.org/ if you use it on a web page.


I can't see a problem there (it's much stricter for the "official use"
logo), but there are no restrictions upon use or derived works, so I
think it's OK.  (It's certainly used by many other Debian packages!)


Regards,
Roger


- -- 
Roger Leigh

                Printing on GNU/Linux?  http://gimp-print.sourceforge.net/
                GPG Public Key: 0x25BFB848.  Please sign and encrypt your mail.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8 <http://mailcrypt.sourceforge.net/>

iD8DBQFBIlwUVcFcaSW/uEgRAku+AJ9pvc5HBYMIgSLZv30Y0joEsmPBsACgsFg0
ozQyB6UpaIh3Ecmn4k89V7Y=
=jmsg
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 265352@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Roger Leigh <rleigh@whinlatter.ukfsn.org>
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 21:46:53 +0200
On Tue, Aug 17, 2004 at 08:27:18PM +0100, Roger Leigh wrote:
> >
> > Is the "Open Use" logo DFSG-free?
> 
> - From http://www.debian.org/logos/ :
> 
> Debian Open Use Logo License
> 
> Copyright (c) 1999 Software in the Public Interest
> This logo or a modified version may be used by anyone to refer to the
> Debian project, but does not indicate endorsement by the project.

Uh :(.  It doesn't explicitly allow redistribution, nor distribution of
modified works.  It doesn't allow to charge a fee for redistribution.. etc.
Doesn't sound free to me.

> I can't see a problem there (it's much stricter for the "official use"
> logo), but there are no restrictions upon use or derived works, so I
> think it's OK.  (It's certainly used by many other Debian packages!)

IANAL, but AFAIK when a license doesn't explicitly allow something, it means
it's not allowed.

I'm adding CC to debian-legal.  Can you people send your advice?

Thanks.

-- 
Robert Millan

(Debra and Ian) (Gnu's Not (UNiplexed Information and Computing System))/\
(kernel of *(Berkeley Software Distribution))



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to David Schleef <ds@schleef.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 265352@bugs.debian.org (full text, mbox):

From: David Schleef <ds@schleef.org>
To: Robert Millan <rmh@debian.org>
Cc: Roger Leigh <rleigh@whinlatter.ukfsn.org>, "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 15:23:22 -0700
On Tue, Aug 17, 2004 at 09:46:53PM +0200, Robert Millan wrote:
> On Tue, Aug 17, 2004 at 08:27:18PM +0100, Roger Leigh wrote:
> > I can't see a problem there (it's much stricter for the "official use"
> > logo), but there are no restrictions upon use or derived works, so I
> > think it's OK.  (It's certainly used by many other Debian packages!)
> 
> IANAL, but AFAIK when a license doesn't explicitly allow something, it means
> it's not allowed.
> 
> I'm adding CC to debian-legal.  Can you people send your advice?

The Debian Open Use Logo License is generally considered to be
non-DFSG free.  However, it appears to be a widely held belief
that Debian should have _some_ logo that is DFSG-free, and that
the license of the open logo should be changed to make this so.
I think because of the latter, there has never been a logo purge
of main.  Perhaps an attempted logo purge would convince SPI to
act on this matter.

See this thread for additional commentary:

  http://lists.debian.org/debian-legal/2003/09/msg00840.html

It's somewhat amusing that debian-legal routinely convinces people
to change to DFSG-free licenses, but can't seem to affect its own
organization.



dave...





Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 265352@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: David Schleef <ds@schleef.org>
Cc: Roger Leigh <rleigh@whinlatter.ukfsn.org>, "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 00:29:08 +0200
On Tue, Aug 17, 2004 at 03:23:22PM -0700, David Schleef wrote:
> 
> The Debian Open Use Logo License is generally considered to be
> non-DFSG free.  However, it appears to be a widely held belief
> that Debian should have _some_ logo that is DFSG-free, and that
> the license of the open logo should be changed to make this so.
> I think because of the latter, there has never been a logo purge
> of main.  Perhaps an attempted logo purge would convince SPI to
> act on this matter.

What does "convince SPI" mean here?  I thought SPI is governed by the
Debian developers.

> It's somewhat amusing that debian-legal routinely convinces people
> to change to DFSG-free licenses, but can't seem to affect its own
> organization.

The real question is why a project that is dedicated to free software did
release a non-free logo in the first place...

-- 
Robert Millan

(Debra and Ian) (Gnu's Not (UNiplexed Information and Computing System))/\
(kernel of *(Berkeley Software Distribution))



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to David Schleef <ds@schleef.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 265352@bugs.debian.org (full text, mbox):

From: David Schleef <ds@schleef.org>
To: Robert Millan <rmh@debian.org>
Cc: 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 15:37:54 -0700
On Wed, Aug 18, 2004 at 12:29:08AM +0200, Robert Millan wrote:
> What does "convince SPI" mean here?  I thought SPI is governed by the
> Debian developers.

Er, "convince the SPI board to pass a measure changing the license".



dave...




Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 265352@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: Robert Millan <rmh@debian.org>
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 00:54:06 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Robert Millan <rmh@debian.org> writes:

> On Tue, Aug 17, 2004 at 08:27:18PM +0100, Roger Leigh wrote:
>> >
>> > Is the "Open Use" logo DFSG-free?
>> 
>> - From http://www.debian.org/logos/ :
>> 
>> Debian Open Use Logo License
>> 
>> Copyright (c) 1999 Software in the Public Interest
>> This logo or a modified version may be used by anyone to refer to the
>> Debian project, but does not indicate endorsement by the project.
>
> Uh :(.  It doesn't explicitly allow redistribution, nor distribution of
> modified works.  It doesn't allow to charge a fee for redistribution.. etc.
> Doesn't sound free to me.

Ahh....

I naïvely assumed that our own logo would be redistributable and DFSG
free.  How wrong :-(

> IANAL, but AFAIK when a license doesn't explicitly allow something, it means
> it's not allowed.

I agree.  I just thought that Debian stuff would be DFSG free by
default, as required by the Social Contract...


Regards,
Roger

- -- 
Roger Leigh

                Printing on GNU/Linux?  http://gimp-print.sourceforge.net/
                GPG Public Key: 0x25BFB848.  Please sign and encrypt your mail.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8 <http://mailcrypt.sourceforge.net/>

iD8DBQFBIpqbVcFcaSW/uEgRAj+bAJ9RILIVyfOJ0zn2cVgxMOVoCKUBswCeKXqm
mMvyOu9mCwhLSGKac6RS6zo=
=8jqD
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #65 received at 265352@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Roger Leigh <rleigh@whinlatter.ukfsn.org>
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 02:12:15 +0200
On Wed, Aug 18, 2004 at 12:54:06AM +0100, Roger Leigh wrote:
> 
> I agree.  I just thought that Debian stuff would be DFSG free by
> default, as required by the Social Contract...

Yeah, how sad..  Well, then please merge the unaffected images into Luis'
package.  I hope when we start nuking the non-free logo here and there, this
will teach the SPI a lesson.

-- 
Robert Millan

(Debra and Ian) (Gnu's Not (UNiplexed Information and Computing System))/\
(kernel of *(Berkeley Software Distribution))



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez):
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #70 received at 265352@bugs.debian.org (full text, mbox):

From: mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez)
To: Robert Millan <rmh@debian.org>
Cc: Roger Leigh <rleigh@whinlatter.ukfsn.org>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 20:27:08 -0400
On Wed, Aug 18, 2004 at 02:12:15AM +0200, Robert Millan wrote:
> On Wed, Aug 18, 2004 at 12:54:06AM +0100, Roger Leigh wrote:
> > 
> > I agree.  I just thought that Debian stuff would be DFSG free by
> > default, as required by the Social Contract...
> 
> Yeah, how sad..  Well, then please merge the unaffected images into Luis'
> package.  I hope when we start nuking the non-free logo here and there, this
> will teach the SPI a lesson.

How about we just e-mail SPI and bug them to change the license. Screw
this. This is unacceptable.

	Luis

-- 
GnuPG Key fingerprint = 113F B290 C6D2 0251 4D84  A34A 6ADD 4937 E20A 525E



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #75 received at 265352@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>
Cc: Roger Leigh <rleigh@whinlatter.ukfsn.org>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 02:42:35 +0200
On Tue, Aug 17, 2004 at 08:27:08PM -0400, Luis R. Rodriguez wrote:
> On Wed, Aug 18, 2004 at 02:12:15AM +0200, Robert Millan wrote:
> > On Wed, Aug 18, 2004 at 12:54:06AM +0100, Roger Leigh wrote:
> > > 
> > > I agree.  I just thought that Debian stuff would be DFSG free by
> > > default, as required by the Social Contract...
> > 
> > Yeah, how sad..  Well, then please merge the unaffected images into Luis'
> > package.  I hope when we start nuking the non-free logo here and there, this
> > will teach the SPI a lesson.
> 
> How about we just e-mail SPI and bug them to change the license. Screw
> this. This is unacceptable.

I'm not sure if that would fix the problem, but at least it's worth trying.

Sure, you're encouraged to do it..  IIRC, SPI can be reached at
www.spi-inc.org.  Good luck :)

-- 
Robert Millan

(Debra and Ian) (Gnu's Not (UNiplexed Information and Computing System))/\
(kernel of *(Berkeley Software Distribution))



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Jason Thomas <jason@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #80 received at 265352@bugs.debian.org (full text, mbox):

From: Jason Thomas <jason@debian.org>
To: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, 265352@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, Roger Leigh <rleigh@whinlatter.ukfsn.org>, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 10:44:10 +1000
can someone detail where we send this and what we should say?

perhaps spi-general?

On Tue, Aug 17, 2004 at 08:27:08PM -0400, Luis R. Rodriguez wrote:
> How about we just e-mail SPI and bug them to change the license. Screw
> this. This is unacceptable.



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #85 received at 265352@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Robert Millan <rmh@debian.org>
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, Roger Leigh <rleigh@whinlatter.ukfsn.org>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 19:56:52 -0500
On Wed, Aug 18, 2004 at 02:42:35AM +0200, Robert Millan wrote:
> On Tue, Aug 17, 2004 at 08:27:08PM -0400, Luis R. Rodriguez wrote:
> > On Wed, Aug 18, 2004 at 02:12:15AM +0200, Robert Millan wrote:
> > > On Wed, Aug 18, 2004 at 12:54:06AM +0100, Roger Leigh wrote:
> > > > 
> > > > I agree.  I just thought that Debian stuff would be DFSG free by
> > > > default, as required by the Social Contract...
> > > 
> > > Yeah, how sad..  Well, then please merge the unaffected images into Luis'
> > > package.  I hope when we start nuking the non-free logo here and there, this
> > > will teach the SPI a lesson.
> > 
> > How about we just e-mail SPI and bug them to change the license. Screw
> > this. This is unacceptable.
> 
> I'm not sure if that would fix the problem, but at least it's worth trying.
> 
> Sure, you're encouraged to do it..  IIRC, SPI can be reached at
> www.spi-inc.org.  Good luck :)

I am by no means certain of this, but if my memory serves, that
copyright was assigned to SPI by someone in Debian.  Perhaps you could
talk to the DPL so SPI could have some sort of formal word from Debian
that it wants the license changed?

Or better yet, e-mail the trademark list --
spi-trademark@lists.spi-inc.org.

-- John



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez):
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #90 received at 265352@bugs.debian.org (full text, mbox):

From: mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez)
To: spi-trademark@lists.spi-inc.org, legal@spi-inc.org, leader@debian.org
Cc: Robert Millan <rmh@debian.org>, Roger Leigh <rleigh@whinlatter.ukfsn.org>, debian-legal@lists.debian.org, John Goerzen <jgoerzen@complete.org>, 265352@bugs.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 22:41:19 -0400
[Message part 1 (text/plain, inline)]

SPI Trademark Team, SPI Legal Counsel, and Debian SPI Project Leader,

I am the mantiner of the new grub-splashimages debian package and was
recently submitted a very nice Debian splashimage [0]. The splashimage makes
use of the Debian Open Use Logo [1] but unfortunately due to default licencing 
and to the very vague copyright notice, and confirmed by debian-legal on
a thread regarding this [2] the logos are not compatible with the DFSG
[3]. This is horrible. Debian should set an example and use the DFSG
for its artwork. We would like to ask for a change of the license to the 
Open Use Debian logo so that it is compatible with the DFSG.

Looking forward for a response,

	The GRUB Packaging Team

[0] http://people.debian.org/~rleigh/grub-images/
[1] http://debian.org/logos
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=265352
[3] http://www.debian.org/social_contract.html#guidelines

-- 
GnuPG Key fingerprint = 113F B290 C6D2 0251 4D84  A34A 6ADD 4937 E20A 525E
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Bruce Perens <bruce@perens.com>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #95 received at 265352@bugs.debian.org (full text, mbox):

From: Bruce Perens <bruce@perens.com>
To: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>
Cc: spi-trademark@lists.spi-inc.org, legal@spi-inc.org, leader@debian.org, Robert Millan <rmh@debian.org>, Roger Leigh <rleigh@whinlatter.ukfsn.org>, debian-legal@lists.debian.org, John Goerzen <jgoerzen@complete.org>, 265352@bugs.debian.org
Subject: Re: [Spi-trademark] Re: Bug#265352: grub: Debian splash images for Grub
Date: Tue, 17 Aug 2004 23:07:31 -0700
[Message part 1 (text/plain, inline)]
Luis,
*
SPI isn't Debian's master.* SPI can not change licensing on Debian's 
property without direction from the Debian project. And the requested 
change is not trademark-related, it is entirely about copyright terms.

Please arrange for your project to officially change the license. The 
project leader can do it by fiat (it is a simple thing, after all) or 
you can do it through your resolution process. Tell us when you are done.

   Thanks

   Bruce

Luis R. Rodriguez wrote:

>SPI Trademark Team, SPI Legal Counsel, and Debian SPI Project Leader,
>
>I am the mantiner of the new grub-splashimages debian package and was
>recently submitted a very nice Debian splashimage [0]. The splashimage makes
>use of the Debian Open Use Logo [1] but unfortunately due to default licencing 
>and to the very vague copyright notice, and confirmed by debian-legal on
>a thread regarding this [2] the logos are not compatible with the DFSG
>[3]. This is horrible. Debian should set an example and use the DFSG
>for its artwork. We would like to ask for a change of the license to the 
>Open Use Debian logo so that it is compatible with the DFSG.
>
>Looking forward for a response,
>
>	The GRUB Packaging Team
>
>[0] http://people.debian.org/~rleigh/grub-images/
>[1] http://debian.org/logos
>[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=265352
>[3] http://www.debian.org/social_contract.html#guidelines
>
>  
>

[Message part 2 (text/html, inline)]
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez):
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #100 received at 265352@bugs.debian.org (full text, mbox):

From: mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez)
To: Bruce Perens <bruce@perens.com>
Cc: spi-trademark@lists.spi-inc.org, legal@spi-inc.org, leader@debian.org, Robert Millan <rmh@debian.org>, Roger Leigh <rleigh@whinlatter.ukfsn.org>, debian-legal@lists.debian.org, John Goerzen <jgoerzen@complete.org>, 265352@bugs.debian.org
Subject: Re: [Spi-trademark] Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 02:22:29 -0400
Bruce,

On Tue, Aug 17, 2004 at 11:07:31PM -0700, Bruce Perens wrote:
> Luis,
> *
> SPI isn't Debian's master.* SPI can not change licensing on Debian's 
> property without direction from the Debian project. And the requested 
> change is not trademark-related, it is entirely about copyright terms.

I figured but was mentioned on the thread SPI would be holder of the
copyrights. Was also advised to e-mail trademark lists. Thanks for your
reply though.

> Please arrange for your project to officially change the license. The 
> project leader can do it by fiat (it is a simple thing, after all) or 
> you can do it through your resolution process. Tell us when you are done.

Do you want us to remove you guys off this thread until we settle the
score?

Anyone know who it is we are really supposed to be addressing this
request to then? Debian-legal, any more advice?

Thanks,

	Luis

> 
>    Thanks
> 
>    Bruce
> 
> Luis R. Rodriguez wrote:
> 
> >SPI Trademark Team, SPI Legal Counsel, and Debian SPI Project Leader,
> >
> >I am the mantiner of the new grub-splashimages debian package and was
> >recently submitted a very nice Debian splashimage [0]. The splashimage 
> >makes
> >use of the Debian Open Use Logo [1] but unfortunately due to default 
> >licencing and to the very vague copyright notice, and confirmed by 
> >debian-legal on
> >a thread regarding this [2] the logos are not compatible with the DFSG
> >[3]. This is horrible. Debian should set an example and use the DFSG
> >for its artwork. We would like to ask for a change of the license to the 
> >Open Use Debian logo so that it is compatible with the DFSG.
> >
> >Looking forward for a response,
> >
> >	The GRUB Packaging Team
> >
> >[0] http://people.debian.org/~rleigh/grub-images/
> >[1] http://debian.org/logos
> >[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=265352
> >[3] http://www.debian.org/social_contract.html#guidelines
> >
> > 
> >
> 



-- 
GnuPG Key fingerprint = 113F B290 C6D2 0251 4D84  A34A 6ADD 4937 E20A 525E



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Bruce Perens <bruce@perens.com>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #105 received at 265352@bugs.debian.org (full text, mbox):

From: Bruce Perens <bruce@perens.com>
To: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>
Cc: spi-trademark@lists.spi-inc.org, legal@spi-inc.org, leader@debian.org, Robert Millan <rmh@debian.org>, Roger Leigh <rleigh@whinlatter.ukfsn.org>, debian-legal@lists.debian.org, John Goerzen <jgoerzen@complete.org>, 265352@bugs.debian.org
Subject: Re: [Spi-trademark] Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 00:15:39 -0700
[Message part 1 (text/plain, inline)]
Luis R. Rodriguez wrote:

>I figured but was mentioned on the thread SPI would be holder of the
>copyrights.
>
Yes. Holder on Debian's behalf. You folks are in the driver's seat.

> Was also advised to e-mail trademark lists.
>
They probably have something to contribute regarding the form of 
license, but as far as I can tell all you need is to add explicit 
permission to copy, redistribute (including sell), and modify.

I feel it's best for the copyright and trademark license to be separate 
licenses. We need to be able to give full copyright rights while 
continuing to restrict the trademark rights connected to the limited-use 
license. If we mix the copyright and trademark licenses together, we are 
potentially giving permission to modify the open-use mark into the 
limited-use mark, which would be a bad idea.

>Do you want us to remove you guys off this thread until we settle the
>score?
>  
>
I am fine with being on the list, but please refrain from blaming SPI 
for this not being done. There were a number of comments to that effect 
attached to the bug report.

>Anyone know who it is we are really supposed to be addressing this
>request to then? Debian-legal, any more advice?
>
I would hope debian-legal, and copy the trademark team but as far as I'm 
aware you don't have to take orders from them.

   Thanks

   Bruce
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Freek Dijkstra <debian_public@macfreek.nl>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #110 received at 265352@bugs.debian.org (full text, mbox):

From: Freek Dijkstra <debian_public@macfreek.nl>
To: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, <265352@bugs.debian.org>, <debian-legal@lists.debian.org>
Cc: <leader@debian.org>
Subject: Re: [Spi-trademark] Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 09:17:46 +0200
On 18-8-2004 08:22, "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu> wrote:

>> Please arrange for your project to officially change the license. The
>> project leader can do it by fiat (it is a simple thing, after all) or
>> you can do it through your resolution process. Tell us when you are done.
> 
> Anyone know who it is we are really supposed to be addressing this
> request to then? Debian-legal, any more advice?

Luis,

The "resolution process" is described in the Debian constitution (appendix A
I belief), and involves getting a vote out:
http://www.debian.org/devel/constitution
http://www.debian.org/vote

I'm not sure which project Bruce refers to when he talks about the "project
leader" here. I assume the "Debian project". Apparently. SPI will change the
licence if the Debian project tells them to.

Regards,
Freek

PS: I stripped most people from the cc. Feel free to strip more or add them
again.





Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #115 received at 265352@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Bruce Perens <bruce@perens.com>
Cc: "Luis R. Rodriguez" <mcgrof@ruslug.rutgers.edu>, spi-trademark@lists.spi-inc.org, legal@spi-inc.org, leader@debian.org, Roger Leigh <rleigh@whinlatter.ukfsn.org>, debian-legal@lists.debian.org, John Goerzen <jgoerzen@complete.org>, 265352@bugs.debian.org
Subject: Re: [Spi-trademark] Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 18 Aug 2004 13:32:19 +0200
On Wed, Aug 18, 2004 at 12:15:39AM -0700, Bruce Perens wrote:
> >Do you want us to remove you guys off this thread until we settle the
> >score?
> >
> I am fine with being on the list, but please refrain from blaming SPI 
> for this not being done. There were a number of comments to that effect 
> attached to the bug report.

I guess this goes for me, too.  Please excuse me, I wasn't aware of the real
situation.  It's pretty understandable that SPI defends Debian's interests,
even if such interests are wrong.

-- 
Robert Millan

(Debra and Ian) (Gnu's Not (UNiplexed Information and Computing System))/\
(kernel of *(Berkeley Software Distribution))



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr - Debian Project Leader <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #120 received at 265352@bugs.debian.org (full text, mbox):

From: Martin Michlmayr - Debian Project Leader <leader@debian.org>
To: David Schleef <ds@schleef.org>
Cc: 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Thu, 19 Aug 2004 17:21:16 +0100
* David Schleef <ds@schleef.org> [2004-08-17 15:23]:
> The Debian Open Use Logo License is generally considered to be
> non-DFSG free.  However, it appears to be a widely held belief
> that Debian should have _some_ logo that is DFSG-free, and that
> the license of the open logo should be changed to make this so.

I think the open use logo itself should be DFSG-free, but it probably
should be accompanied by a trademark license.  I'll contact SPI to see
what needs to be done to change the license, and I've asked Matthew
Garrett to discuss the trademark issue with SPI's trademark lawyer and
others on spi-trademark.

What would a good license for the logo be?
-- 
Martin Michlmayr
leader@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez):
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #125 received at 265352@bugs.debian.org (full text, mbox):

From: mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez)
To: Martin Michlmayr - Debian Project Leader <leader@debian.org>, 265352@bugs.debian.org
Cc: David Schleef <ds@schleef.org>, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Thu, 19 Aug 2004 12:48:42 -0400
[Message part 1 (text/plain, inline)]
On Thu, Aug 19, 2004 at 05:21:16PM +0100, Martin Michlmayr - Debian Project Leader wrote:
> * David Schleef <ds@schleef.org> [2004-08-17 15:23]:
> > The Debian Open Use Logo License is generally considered to be
> > non-DFSG free.  However, it appears to be a widely held belief
> > that Debian should have _some_ logo that is DFSG-free, and that
> > the license of the open logo should be changed to make this so.
> 
> I think the open use logo itself should be DFSG-free, but it probably
> should be accompanied by a trademark license.  I'll contact SPI to see
> what needs to be done to change the license, and I've asked Matthew
> Garrett to discuss the trademark issue with SPI's trademark lawyer and
> others on spi-trademark.

You rock.

> What would a good license for the logo be?

Debian-legal, what do you advise?

	Luis

-- 
GnuPG Key fingerprint = 113F B290 C6D2 0251 4D84  A34A 6ADD 4937 E20A 525E
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #130 received at 265352@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: debian-legal@lists.debian.org
Cc: 265352@bugs.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Fri, 20 Aug 2004 01:51:26 -0400
Martin Michlmayr wrote:
> I think the open use logo itself should be DFSG-free, but it probably
> should be accompanied by a trademark license. I'll contact SPI to see 
> what needs to be done to change the license, and I've asked Matthew
> Garrett to discuss the trademark issue with SPI's trademark lawyer and
> others on spi-trademark.
> 
> What would a good license for the logo be?
There are two options: separate copyright and trademark licenses and a "fused" 
license.

OPTION 1
Copyright license:
Copyright 1999 Software in the Public Interest
Permission is hereby granted to anyone to copy, modify, display or perform 
publicly, and/or redistribute this logo, with or without modifications.  
(This copyright license is not intended to grant a trademark license; see 
below for trademark license.)

Trademark license: 
This logo is a trademark/service mark of the Debian Project.
Permission is hereby granted to anyone to use this logo or a modified version 
to refer to the Debian project.  It does not indicate endorsement by the 
project.  
Modified versions which are sufficiently different so that they do not 
consitute trademark use or infringment -- that is, those which are not likely 
to cause confusion with Debian's logo in the minds of those seeing them -- 
may be used for any purpose.  (This trademark license is not intended to 
restrict or alter the grant of copyright license; see above for copyright 
license.)

OPTION 2
Fused license:
Copyright 1999 Software in the Public Interest
This logo is a trademark/service mark of the Debian Project.
Permission is hereby granted to anyone to copy, modify, display or perform 
publicly, and/or redistribute this logo, with or without modifications.  
Permission is hereby granted to anyone to use this logo or a modified version 
to refer to the Debian project.  It does not indicate endorsement by the 
project.  Additionally, permission is hereby granted to anyone to use 
modified versions which are sufficiently different so that they do not 
consitute trademark use or infringment (that is, those which are not likely 
to cause confusion with Debian's logo in the minds of those seeing them) for 
any purpose.

---
It should be possible to polish these a little (particularly the "constitute 
trademark use or infringement" line), but this is about right.



Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #135 received at 265352@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Martin Michlmayr - Debian Project Leader <leader@debian.org>
Cc: David Schleef <ds@schleef.org>, 265352@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Fri, 20 Aug 2004 23:50:11 -0700
[Message part 1 (text/plain, inline)]
On Thu, 19 Aug 2004, Martin Michlmayr - Debian Project Leader wrote:
> What would a good license for the logo be?

I'd personally suggest a MIT style license like the following:

Copyright (c) <year> <copyright holders>

Permission is hereby granted, free of charge, to any person obtaining
a copy of this Work, to deal in the Work without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Work, and
to permit persons to whom the Work is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall accompany
all copies or substantial portions of the Work.

THE WORK IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE WORK
OR THE USE OR OTHER DEALINGS IN THE WORK.


[Astute readers will note a s/software/work/; and s/be included
in/accompany/; from the default license to deal with the fact that
this is an image, and the work will typically be so small that it
can't include the copyright directly. Someone may be able to come up
with better verbiage to avoid this bug...]

As far as I know, the above license is compatible with just about
everything, is trivially DFSG free, and should allow us to use the
image easily.


Don Armstrong

-- 
"Because," Fee-5 explained patiently, "I was born in the fifth row. Any fool
would understand that, but against stupidity the very Gods themselves
contend in vain."
 -- Alfred Bester _The Computer Connection_ p19

http://www.donarmstrong.com http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #140 received at 265352@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: debian-legal@lists.debian.org
Cc: 265352@bugs.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Sun, 19 Sep 2004 13:47:05 -0700
[Message part 1 (text/plain, inline)]
Nathanael Nerode wrote:
> Martin Michlmayr wrote:
>>I think the open use logo itself should be DFSG-free, but it probably
>>should be accompanied by a trademark license. I'll contact SPI to see 
>>what needs to be done to change the license, and I've asked Matthew
>>Garrett to discuss the trademark issue with SPI's trademark lawyer and
>>others on spi-trademark.
>>
>>What would a good license for the logo be?
> 
> There are two options: separate copyright and trademark licenses and a "fused" 
> license.
> 
> OPTION 1
> Copyright license:
> Copyright 1999 Software in the Public Interest
> Permission is hereby granted to anyone to copy, modify, display or perform 
> publicly, and/or redistribute this logo, with or without modifications.  
> (This copyright license is not intended to grant a trademark license; see 
> below for trademark license.)
> 
> Trademark license: 
> This logo is a trademark/service mark of the Debian Project.
> Permission is hereby granted to anyone to use this logo or a modified version 
> to refer to the Debian project.  It does not indicate endorsement by the 
> project.  
> Modified versions which are sufficiently different so that they do not 
> consitute trademark use or infringment -- that is, those which are not likely 
> to cause confusion with Debian's logo in the minds of those seeing them -- 
> may be used for any purpose.  (This trademark license is not intended to 
> restrict or alter the grant of copyright license; see above for copyright 
> license.)
> 
> OPTION 2
> Fused license:
> Copyright 1999 Software in the Public Interest
> This logo is a trademark/service mark of the Debian Project.
> Permission is hereby granted to anyone to copy, modify, display or perform 
> publicly, and/or redistribute this logo, with or without modifications.  
> Permission is hereby granted to anyone to use this logo or a modified version 
> to refer to the Debian project.  It does not indicate endorsement by the 
> project.  Additionally, permission is hereby granted to anyone to use 
> modified versions which are sufficiently different so that they do not 
> consitute trademark use or infringment (that is, those which are not likely 
> to cause confusion with Debian's logo in the minds of those seeing them) for 
> any purpose.
> 
> ---
> It should be possible to polish these a little (particularly the "constitute 
> trademark use or infringement" line), but this is about right.

Both of these licenses seem clearly non-free to me, since they restrict
the uses of unmodified or "insufficiently different" versions.

- Josh Triplett

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #145 received at 265352@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: debian-legal@lists.debian.org, 265352@bugs.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 22 Sep 2004 10:33:30 -0700
[Message part 1 (text/plain, inline)]
Nathanael Nerode wrote:
> Josh Triplett wrote:
>>Both of these licenses seem clearly non-free to me, since they restrict
>>the uses of unmodified or "insufficiently different" versions.
> 
> Only to the extent of prohibiting misrepresentation of other works,
> projects, and organizations as belonging to/being endorsed by/being part of
> Debian.
> 
> That's a standard, acceptable class of restrictions, isn't it?  This really
> *is* about misrepresentation and nothing more.

If that is truly the case, then you don't need to say that at all in the
license.  See http://lists.debian.org/debian-legal/2004/05/msg00540.html
and the resulting thread.  Claiming endorsement by someone else without
their permission is already illegal.  Therefore, using the Debian logo
to claim endorsement by Debian without permission is already illegal, so
the Debian logo license should not mention it.

> If I have accidentally made the restrictions broader than that in my
> proposed licenses, then it's a mistake which should be fixed.

I belive that is what happened, yes.  Your proposed licenses did not
permit any use of an unmodified or insufficiently modified logo, except
to refer to Debian.  Instead, what you probably want is something
similar to the clauses from the zlib license: "The origin of this
software must not be misrepresented" and "Altered source versions must
be plainly marked as such".  As for not permitting others to claim
endorsement by or affiliation with Debian, that is already not permitted.

> Anyway, as someone else said, if you don't defend your trademark against
> those particular uses, you don't have a trademark anymore.  The original
> and primary purpose of a trademark is to identify a business/product
> distinctively.  Preventing uses which cause confusion as to the identity or
> source of your product or business is what you have to do in order to keep
> your trademark at all.

That's completely unrelated to whether the suggested licenses are
DFSG-free or not.

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #150 received at 265352@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez)
Cc: 265352@bugs.debian.org, Robert Millan <rmh@debian.org>, debian-legal@lists.debian.org
Subject: Re: Bug#265352: grub: Debian splash images for Grub
Date: Wed, 13 Oct 2004 00:22:21 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

mcgrof@ruslug.rutgers.edu (Luis R. Rodriguez) writes:

>> You are free to distribute the images under the GPL.  The XCF image is
>> produced from the Debian "Open Use" logo, also provided here
>> 
>> http://people.debian.org/~rleigh/grub-images/
>
> Awesome splash image!
>
>> and I am happy for all my work to be distributed under the GPL.  The
>> only part I'm not sure about is the Sarge "stripes", which came from
>> DebianPlanet.  I'm waiting to hear back from them about that.  Feel
>> free to modify the images as you like--I know I'm not much of an artist!
>
> Heh, its great, thanks. So far what I've been doing for
> grub-splashimages package was to request authors to insert into the xpm
> file a GPL C Header since xpm files are ASCII-text and accept C99
> comments (I explain this now on the HOWTO you've read). Would it be
> technically legal for you to do that for your splash image?

I've now got the copyright and licensing details for the Sarge stripe
in the splash image.  The author has placed it in the public domain,
but requests acknowledgement as an author if possible: I've
acknowleged this in the Inkscape SVG metadata, but it should probably
be added to the XPM header also.  I've converted it to SVG vector
format with Inkscape to make it easier to edit and change.  The files
are here:

The main image: This is the "preferred form for modification":
  http://people.debian.org/~rleigh/grub-images/debian-boot.svgz

640x480 PNG:
  http://people.debian.org/~rleigh/grub-images/debian-boot.png

The splash image (the PNG reduced to 14 colours)
  http://people.debian.org/~rleigh/grub-images/debian-boot.xpm.gz
I've not added any copyright notice--it was automatically generated by
the GIMP.

These are all yours; feel free to alter them as you like, and licence
them under whatever DFSG-free licence you prefer.  GPL is fine.


So all the copyright and licensing issues are OK.  The exception is
the Debian logo.

[For debian-legal:] Did anything come of the discussions in mid-August
regarding the licensing/trademark issues regarding the logo?  Are we
OK to use it?  Thanks!


Regards,
Roger

- -- 
Roger Leigh

                Printing on GNU/Linux?  http://gimp-print.sourceforge.net/
                GPG Public Key: 0x25BFB848.  Please sign and encrypt your mail.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8 <http://mailcrypt.sourceforge.net/>

iD8DBQFBbGcqVcFcaSW/uEgRAiJQAJ43+CBDutaJL/rvFlukNQqiVIOGTwCgrCaZ
l4reZgkKuPptO+uw+C1V0MY=
=UuPs
-----END PGP SIGNATURE-----



Tags added: wontfix Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Roger Leigh <rleigh@debian.org>:
Bug#265352. Full text and rfc822 format available.

Message #155 received at 265352-submitter@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 129770-submitter@bugs.debian.org, 146429-submitter@bugs.debian.org, 156888-submitter@bugs.debian.org, 221398-submitter@bugs.debian.org, 265352-submitter@bugs.debian.org, 363697-submitter@bugs.debian.org, 106399-submitter@bugs.debian.org, 120633-submitter@bugs.debian.org, 127112-submitter@bugs.debian.org, 129814-submitter@bugs.debian.org, 146854-submitter@bugs.debian.org, 150769-submitter@bugs.debian.org, 183576-submitter@bugs.debian.org, 190789-submitter@bugs.debian.org, 196134-submitter@bugs.debian.org, 209340-submitter@bugs.debian.org, 229371-submitter@bugs.debian.org, 241903-submitter@bugs.debian.org, 241972-submitter@bugs.debian.org, 243176-submitter@bugs.debian.org, 254754-submitter@bugs.debian.org, 261023-submitter@bugs.debian.org, 264262-submitter@bugs.debian.org, 268322-submitter@bugs.debian.org, 275388-submitter@bugs.debian.org, 276763-submitter@bugs.debian.org, 280478-submitter@bugs.debian.org, 298240-submitter@bugs.debian.org, 302276-submitter@bugs.debian.org, 316878-submitter@bugs.debian.org, 336288-submitter@bugs.debian.org, 350629-submitter@bugs.debian.org, 377705-submitter@bugs.debian.org, 388724-submitter@bugs.debian.org
Subject: GRUB Legacy is feature frozen
Date: Mon, 25 Sep 2006 11:18:20 +0200
tag 129770 wontfix
tag 146429 wontfix
tag 156888 wontfix
tag 221398 wontfix
tag 265352 wontfix
tag 363697 wontfix
tag 106399 wontfix
tag 120633 wontfix
tag 127112 wontfix
tag 129814 wontfix
tag 146854 wontfix
tag 150769 wontfix
tag 183576 wontfix
tag 190789 wontfix
tag 196134 wontfix
tag 209340 wontfix
tag 229371 wontfix
tag 241903 wontfix
tag 241972 wontfix
tag 243176 wontfix
tag 254754 wontfix
tag 261023 wontfix
tag 264262 wontfix
tag 268322 wontfix
tag 275388 wontfix
tag 276763 wontfix
tag 280478 wontfix
tag 298240 wontfix
tag 302276 wontfix
tag 316878 wontfix
tag 336288 wontfix
tag 350629 wontfix
tag 377705 wontfix
tag 388724 wontfix
thanks

[ PLEASE, if you respond to this message avoid CCing all the other bugs.  They
don't need to be bothered about details on this one ]

GRUB Legacy is now feature frozen, both in upstream and in debian.  We only
accept bug fixes or very essential features (e.g. to support something new that
is going to become mandatory for some reason).  We should be stabilising for the
etch release rather than introducing new sources of potential problems.

Please, rather than directing your work at a frozen branch, look at wether
your proposed feature makes sense in GRUB 2.  GRUB 2 is in active development
(both debian and upstream) and new features are welcome there.

Thanks,

-- 
Robert Millan

My spam trap is honeypot@aybabtu.com.  Note: this address is only intended for
spam harvesters.  Writing to it will get you added to my black list.



Information forwarded to debian-bugs-dist@lists.debian.org, rleigh@debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#265352; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to rleigh@debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #160 received at 265352@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Debian Bug Tracking System <265352@bugs.debian.org>
Subject: this bugs looks like fixed as well
Date: Thu, 08 Feb 2007 05:50:07 +0100
Package: grub
Version: 0.97-22
Followup-For: Bug #265352

Since the current grub does support splash images and there is a
grub-splashimages package then why isn't this bug fixed instead of
being marked as wontfix?
*t

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-3-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages grub depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libncurses5                  5.5-5       Shared libraries for terminal hand

-- no debconf information



Reply sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roger Leigh <rleigh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #165 received at 265352-done@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>
Cc: 265352-done@bugs.debian.org
Subject: Re: Bug#265352: this bugs looks like fixed as well
Date: Sat, 10 Feb 2007 13:15:17 +0000
[Message part 1 (text/plain, inline)]
Tomas Pospisek <tpo_deb@sourcepole.ch> writes:

> Since the current grub does support splash images and there is a
> grub-splashimages package then why isn't this bug fixed instead of
> being marked as wontfix?

AFAICT, licence issues.  The Debian Open Use Logo in this particular
set of spashimages wasn't considered DFSG.  I was waiting on a licence
change so that it could be fixed and the image included in
grub-spashimages.  However, given that the images were drawn for
sarge, they are since long out of date.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[Message part 2 (application/pgp-signature, inline)]

Message #166 received at 265352-done@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 265352-done@bugs.debian.org, 298240-done@bugs.debian.org
Subject: Splash images are supported
Date: Tue, 13 Feb 2007 14:37:47 -0200
Splash images have been supported by Debian's patched grub for some
time now. Also the grub-splashimages package is available which
provides a few of them.

If you disagree, please reopen this bug report.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 07:55:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:55:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.